Get an AI Index
- Base URL
-
https://{kibana_url}
- GET /api/context_engine/ai_index/{aiIndexId}
- GET /s/{space_id}/api/context_engine/ai_index/{aiIndexId}
Fetches an AI Index by ID from the current space, including the ES|QL query derived from each trace.
Returns a 404 response when Context Engine is turned off in this space (contextEngine:enabled).
For more information, refer to the Context Engine documentation.
Required authorization
- Privileges contextEngine:read
Path parameters
-
space_idstringoptional -
An identifier for the space. If
space_idis not provided in the URL, the default space is used. Refer to Spaces for more information.
Responses
The requested AI Index.